<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- pkgconfig-module.qdoc -->
  <title>pkgconfig QML Type | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
<p class="naviNextPrevious headerNavi">
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#properties">Properties</a></li>
<li class="level1"><a href="#details">Detailed Description</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">pkgconfig QML Type</h1>
<span class="subtitle"></span>
<!-- $$$pkgconfig-brief -->
<p>Allows to configure the pkg-config tool. <a href="#details">More...</a></p>
<!-- @@@pkgconfig -->
<div class="table"><table class="alignedsummary">
<tr><td class="memItemLeft rightAlign topAlign"> Import Statement:</td><td class="memItemRight bottomAlign"> import QbsModules .</td></tr><tr><td class="memItemLeft rightAlign topAlign"> Since:</td><td class="memItemRight bottomAlign"> Qt 1.13</td></tr></table></div><ul>
<li><a href="qml-qbsmodules-pkgconfig-members.html">List of all members, including inherited members</a></li>
</ul>
<a name="properties"></a>
<h2 id="properties">Properties</h2>
<ul>
<li class="fn"><b><b><a href="qml-qbsmodules-pkgconfig.html#executableFilePath-prop">executableFilePath</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-pkgconfig.html#libDirs-prop">libDirs</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-qbsmodules-pkgconfig.html#staticMode-prop">staticMode</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-qbsmodules-pkgconfig.html#sysroot-prop">sysroot</a></b></b> : path</li>
</ul>
<!-- $$$pkgconfig-description -->
<a name="details"></a>
<h2 id="details">Detailed Description</h2>
<p>The <code>pkgconfig</code> module is used to fine-tune the behavior of the <code>pkg-config</code> tool, which is <a href="howtos.html#how-do-i-build-against-libraries-that-provide-pkg-config-files">potentially employed</a> when looking up dependencies.</p>
<!-- @@@pkgconfig -->
<h2>Property Documentation</h2>
<!-- $$$executableFilePath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="executableFilePath-prop">
<td class="tblQmlPropNode"><p>
<span class="name">executableFilePath</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The path to the <code>pkg-config</code> executable.</p>
<p>Default: auto-detected</p>
</div></div><!-- @@@executableFilePath -->
<br/>
<!-- $$$libDirs -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="libDirs-prop">
<td class="tblQmlPropNode"><p>
<span class="name">libDirs</span> : <span class="type">stringList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Set this if you need to overwrite the default search directories. The values given here will be forwarded to the tool via the <code>PKG_CONFIG_LIBDIR</code> environment variable.</p>
<p><b>Note: </b>You do not need to set this for cross-compilation in order to point <code>pkg-config</code> to the sysroot. Qbs does that for you.</p><p>Default: Undefined</p>
</div></div><!-- @@@libDirs -->
<br/>
<!-- $$$staticMode -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="staticMode-prop">
<td class="tblQmlPropNode"><p>
<span class="name">staticMode</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>If this property is <code>true</code>, then calls to <code>pkg-config</code> will include the <code>--static</code> option. Set this if your product is to be linked statically.</p>
<p>Default: <code>false</code></p>
</div></div><!-- @@@staticMode -->
<br/>
<!-- $$$sysroot -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="sysroot-prop">
<td class="tblQmlPropNode"><p>
<span class="name">sysroot</span> : <span class="type">path</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>This property controls the value of the <a href="qml-pkgconfigprobe.html#sysroot-prop">PkgConfigProbe.sysroot</a> property.</p>
<p>Set this property if you need to overwrite the default search sysroot path used by <code>pkg-config</code>.</p>
<p>This can be useful if <code>pkg-config</code> files are located in the directory other than qbs.sysroot. This is the case on <a href="nolink">macOS</a> platform - all XCode profiles are sysrooted to the SDK directory, but <code>pkg-config</code> is typically intalled using Brew and resides in the <code>/usr/local</code> directory.</p>
<p>Setting this property to <code>undefined</code> or empty (<code>&quot;&quot;</code>) value will use pkg-config's default search paths:</p>
<pre class="cpp">

  qbs build modules<span class="operator">.</span>pkgconfig<span class="operator">.</span>sysroot:undefined

</pre>
<p>Default: <code>&quot;&quot;</code> on <a href="nolink">macOS</a>, <code>qbs.sysroot</code> on other platforms</p>
</div></div><!-- @@@sysroot -->
<br/>
<p class="naviNextPrevious footerNavi">
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
